//:Show next #N events
//:
// Get_Concerts
global $database, $wb;

// Show how many items, defaults to 10?
if ( !isset($max) ){    $max = 10; };

// year and month and section defaults
if(!isset($year))  {$year  = date('Y', time()); }
if(!isset($month)) {$month = date('n', time()); }
if(!isset($section_id)) {$section_id = 0 ; }

// Set dateformat to suit your needs, add timeformat if needed
$dateformat = 'd-m-Y'; // Standard php date formats

// Fetch base page link, if event_id = set
$extrasql = '';
$page_id = 0;
$page_link ='';

if ($section_id<>0) { 
  $extrasql = " section_id = '".$section_id."' AND "; 
  $sql = "SELECT page_id FROM ".TABLE_PREFIX."sections WHERE section_id = '".$section_id."'";
  $result = $database->query($sql);
  if ( $result->numRows() > 0 ) {
    while( $row = $result->fetchRow() ) {
      $page_id = $row['page_id'];
    }
  }
  if ($page_id <> 0) {
    $sql = "SELECT link FROM ".TABLE_PREFIX."pages WHERE page_id = '".$page_id."'";
    $result = $database->query($sql);
    if ( $result->numRows() > 0 ) {
      while( $row = $result->fetchRow() ) {
	$page_link = page_link($row['link']);
      }
    }
  }
}

// Set start- and end date for query
$datestart = "$year-$month-1";
$dateend = "$year-$month-".cal_days_in_month(CAL_GREGORIAN, $month,$year);
$mod_list = "";

// Fetch the items
$sql = "SELECT DAY(date_start) AS day, id, custom1, date_start, time_start, date_end, time_end, name FROM ".TABLE_PREFIX."mod_procalendar_actions WHERE ".$extrasql." date_start <='$dateend' AND date_end >='$datestart' AND public_stat = 0 ORDER BY date_start,time_start LIMIT 0, ".$max." ";
$mod_query = $database->query($sql);
while ( $row =& $mod_query->fetchRow()){
   // Build url like : pages/kalendar.php?id=2&detail=1    
   $page_url = $page_link.'?id='.$row['id'].'&amp;detail=1';
   $ds = $row['date_start']." ".substr($row['time_start'],0,5);
   $de = $row['date_end']." ".substr($row['time_end'],0,5);
   $datetime_start = mktime(substr($ds,11,2),substr($ds,14,2),0,substr($ds,5,2),substr($ds,8,2),substr($ds,0,4));
   $datetime_end = mktime(substr($de,11,2),substr($de,14,2),0,substr($de,5,2),substr($de,8,2),substr($de,0,4));
   if ($datetime_start<> $datetime_end) {  
      $mod_list .= '<a href="'.$page_url.'"><span class="c_date">'.date($dateformat,$datetime_start).' - '.date($dateformat,$datetime_end) .'</span> &nbsp; ';
   } else {
      $mod_list .= '<a href="'.$page_url.'"><span class="c_date">'.date($dateformat,$datetime_start).'</span> &nbsp; ';
   }	
   $mod_list .= '<span class="c_name"><b>'.$row["name"].'</b></span></a><br />';
   $mod_list .= '<div class="c_desc">'.$row["custom1"].'</div>';
   $mod_list .= "<br />";
}
return $mod_list;