<?php 

/*

 Website Baker Project <http://www.websitebaker.org/>
 Copyright (C) 2004-2006, Ryan Djurovich

 Website Baker is free software; you can redistribute it and/or modify
 it under the terms of the GNU General Public License as published by
 the Free Software Foundation; either version 2 of the License, or
 (at your option) any later version.

 Website Baker is distributed in the hope that it will be useful,
 but WITHOUT ANY WARRANTY; without even the implied warranty of
 MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 GNU General Public License for more details.

 You should have received a copy of the GNU General Public License
 along with Website Baker; if not, write to the Free Software
 Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA

*/

if (!defined('WB_PATH')) exit("Cannot access this file directly");


global $wb;
global $action_types, $status_akce, $monthnames, $weekdays, $CALTEXT;
global $day, $month, $year;

require_once('functions.php');

if (isset($_GET['day'])) {
  $day = (int)$_GET['day'];
}

if (isset($_GET['dayview'])) {
  $dayview = (int)$_GET['dayview'];
} else {
  $dayview = (int)0;
}
if (isset($_GET['month'])) {
  $month = (int)$_GET['month'];
} else {
  $month = (int)date("n");
}
if (isset($_GET['year'])) {
  $year = (int)$_GET['year'];
} else {
  $year = (int)date("Y");
}
if (isset($_GET['show'])) {
  $show = (int)$_GET['show'];
} else {
  $show = 0;
}
if (isset($_GET['detail'])) {
  $detail = (int)$_GET['detail'];
} else {
  $detail = 0;
}

if (isset($_GET['id'])) {
  $id = (int)$_GET['id'];
} else {
  $id = 0;
}


$date_start = "$year-$month-1";             // range for all month
$date_end = "$year-$month-".DaysCount($month,$year);

($month > 1) ? ($prevmonth = $month - 1) :  ($prevmonth = 12);
($month < 12) ? ($nextmonth = $month + 1) :  ($nextmonth = 1);
($month == 1) ? ($prevyear = $year - 1) : ($prevyear = $year);
($month == 12) ? ($nextyear = $year + 1) : ($nextyear = $year);

$actions  = fillActionArray($date_start, $date_end, $section_id);
$action_types = fillActionTypes($section_id);

if($detail == 1)  
{
    if($id == 0)
    {
      ShowActionDetails($actions, $day, $month, $year, $show, $dayview);
    }
    else
    {
      ShowActionDetailsFromId($id,$section_id);
    }
}
else
{
    ShowCalendar($month,$year,$actions,$section_id,false);
    ShowActionList($day,$month,$year,$actions,$section_id);
}
?>