<?php

/*

 Website Baker Project <http://www.websitebaker.org/>
 Copyright (C) 2004-2006, Ryan Djurovich

 Website Baker is free software; you can redistribute it and/or modify
 it under the terms of the GNU General Public License as published by
 the Free Software Foundation; either version 2 of the License, or
 (at your option) any later version.

 Website Baker is distributed in the hope that it will be useful,
 but WITHOUT ANY WARRANTY; without even the implied warranty of
 MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 GNU General Public License for more details.

 You should have received a copy of the GNU General Public License
 along with Website Baker; if not, write to the Free Software
 Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA

*/

require('../../config.php');

// Include WB admin wrapper script
require(WB_PATH.'/modules/admin.php');

// include core functions of WB 2.7 to edit the optional module CSS files (frontend.css, backend.css)
@include_once(WB_PATH .'/framework/module.functions.php');


if (LANGUAGE_LOADED) {        // load languagepack
  if(file_exists(WB_PATH."/modules/procalendar/languages/".LANGUAGE.".php")) {    // if exist proper language mutation
    require_once(WB_PATH."/modules/procalendar/languages/".LANGUAGE.".php");    // load it
  } else {
    require_once(WB_PATH."/modules/procalendar/languages/EN.php");        // else use english
  }
}
$fillvalue = "";

// Added PCWacht
// moved to one place
// Fetch all settings from db
$sql = "SELECT * FROM ".TABLE_PREFIX."mod_procalendar_settings WHERE section_id=$section_id ";
$db = $database->query($sql);
$Sday=0;
$Utime =0;
$Uformat = '';
$Uifformat = '';

if ($db->numRows() > 0) {
   while ($rec = $db->fetchRow()) {
      $startday    = $rec["startday"];
      $usetime     = $rec["usetime"];
      $onedate     = $rec["onedate"];
      $useformat   = $rec["useformat"];
      $useifformat = $rec["useifformat"];
   }
}
?>

<style>
.input_normal {width:320px;}
.input_normal2 {width:328px;}
.input_short {width:245px;}
.button {width:160px;}
</style>

<table cellpadding="2" cellspacing="1" border="0" width="650px">
  <tr>
    <td >
      <input type="button" value="<?php echo $CALTEXT['CUSTOMS']; ?>" class="button" onclick="window.location='<?php echo WB_URL; ?>/modules/procalendar/modify_customs.php?page_id=<?php echo $page_id; ?>&amp;section_id=<?php echo $section_id; ?>'"></input>
    </td>
    <td align="right" >
<?php // include the button to edit the optional module CSS files (function added with WB 2.7)
// Note: CSS styles for the button are defined in backend.css (div class="mod_moduledirectory_edit_css")
// Place this call outside of any <form></form> construct!!!
if(function_exists('edit_module_css'))
{
	edit_module_css('news');
}    
?>
    </td>
  </tr>
</table>
<form name="modify_startday" method="post" action="<?php echo WB_URL; ?>/modules/procalendar/save_settings.php">
  <input type="hidden" name="page_id" value="<?php echo $page_id; ?>">
  <input type="hidden" name="section_id" value="<?php echo $section_id; ?>">
  <input type="hidden" name="type" value="startd">
  
  <table cellpadding="2" cellspacing="1" border="0" width="650px">
    <tr>
      <td colspan="3">&nbsp;</td>
    </tr>
        
    <tr>
      <td valign="top" colspan="3"><h2><?php echo $CALTEXT['CAL-OPTIONS']; ?></h2></td>
    </tr>
    <tr>
      <td  width="20%"><?php echo $CALTEXT['CAL-OPTIONS-STARTDAY'];?></td>
      <td valign="top"><select class="input_short" name="startday" >
      <?php
      echo '<option value="0" ';
      if ($startday == 0) 
        echo " selected='selected'";
      echo ">".$CALTEXT['CAL-OPTIONS-STARTDAY-1'].'</option>';
      echo '<option value="1" ';
      if ($startday == 1) 
        echo " selected='selected'";
      echo ">".$CALTEXT['CAL-OPTIONS-STARTDAY-2'].'</option>';
      ?>
      </select></td>
      <td>&nbsp;</td>
    </tr>
    <tr>
      <td><?php echo $CALTEXT['CAL-OPTIONS-FORMAT'];?></td>
      <td valign="top"><select class="input_short" name="useformat" >
		<option value="dd.mm.yyyy" <?php if($useformat == 'dd.mm.yyyy') { echo ' selected="selected"'; } ?>>dd.mm.yyyy</option>
		<option value="dd-mm-yyyy" <?php if($useformat == 'dd-mm-yyyy') { echo ' selected="selected"'; } ?>>dd-mm-yyyy</option>
		<option value="dd/mm/yyyy" <?php if($useformat == 'dd/mm/yyyy') { echo ' selected="selected"'; } ?>>dd/mm/yyyy</option>
		<option value="dd mm yyyy" <?php if($useformat == 'dd mm yyyy') { echo ' selected="selected"'; } ?>>dd mm yyyy</option>
		<option value="mm.dd.yyyy" <?php if($useformat == 'mm.dd.yyyy') { echo ' selected="selected"'; } ?>>mm.dd.yyyy</option>
		<option value="mm-dd-yyyy" <?php if($useformat == 'mm-dd-yyyy') { echo ' selected="selected"'; } ?>>mm-dd-yyyy</option>
		<option value="mm/dd/yyyy" <?php if($useformat == 'mm/dd/yyyy') { echo ' selected="selected"'; } ?>>mm/dd/yyyy</option>
		<option value="mm dd yyyy" <?php if($useformat == 'mm dd yyyy') { echo ' selected="selected"'; } ?>>mm dd yyyy</option>
		<option value="yyyy.mm.dd" <?php if($useformat == 'yyyy.mm.dd') { echo ' selected="selected"'; } ?>>yyyy.mm.dd</option>
		<option value="yyyy-mm-dd" <?php if($useformat == 'yyyy-mm-dd') { echo ' selected="selected"'; } ?>>yyyy-mm-dd</option>
		<option value="yyyy/mm/dd" <?php if($useformat == 'yyyy/mm/dd') { echo ' selected="selected"'; } ?>>yyyy/mm/dd</option>
		<option value="yyyy mm dd" <?php if($useformat == 'yyyy mm dd') { echo ' selected="selected"'; } ?>>yyyy mm dd</option>
      </select></td>
      <td>&nbsp;</td>
    </tr>
    <tr>
      <td><?php echo $CALTEXT['CAL-OPTIONS-USETIME'];?></td>
      <td valign="top"><select class="input_short" name="usetime" >
      <?php 
      echo '<option value="0" ';
      if ($usetime == 0) 
        echo " selected='selected'";
      echo ">".$CALTEXT['CAL-OPTIONS-USETIME-1'].'</option>';
      echo '<option value="1" ';
      if ($usetime == 1) 
        echo " selected='selected'";
      echo ">".$CALTEXT['CAL-OPTIONS-USETIME-2'].'</option>';
      ?>
      </select></td>
      <td>&nbsp;</td>
    </tr>
    <tr>
      <td><?php echo $CALTEXT['CAL-OPTIONS-ONEDATE'];?></td>
      <td valign="top"><select class="input_short" name="onedate" >
      <?php 
      echo '<option value="0" ';
      if ($onedate == 0) 
        echo " selected='selected'";
      echo ">".$CALTEXT['CAL-OPTIONS-ONEDATE-1'].'</option>';
      echo '<option value="1" ';
      if ($onedate == 1) 
        echo " selected='selected'";
      echo ">".$CALTEXT['CAL-OPTIONS-ONEDATE-2'].'</option>';
      ?>
      </select></td>
      <td>&nbsp;</td>
    </tr>    
    <tr>
      <td colspan="3">&nbsp;</td>
    </tr>
    <tr>
      <td align="right" colspan="3"><input class="button" type="submit" value="<?php echo $CALTEXT['SAVE']; ?>"></td>
    </tr>
  </table>
</form>


<form  name="modify_eventgorup" method="post" action="<?php echo WB_URL; ?>/modules/procalendar/save_settings.php">
  <input type="hidden" name="page_id" value="<?php echo $page_id; ?>">
  <input type="hidden" name="section_id" value="<?php echo $section_id; ?>">
  <input type="hidden" name="type" value="change_eventgroup">
  <table cellpadding="2" cellspacing="1" border="0" width="650px">
    <tr>
      <td valign="top" colspan="3"><h2><?php echo $CALTEXT['CATEGORY-MANAGEMENT']; ?></h2></td>
    </tr>
    <tr>
      <td valign="top"><select class="input_normal2" name="group_id" onchange="document.location.href='<?php echo WB_URL."/modules/procalendar/modify_settings".PAGE_EXTENSION."?page_id=$page_id&amp;section_id=$section_id&amp;group_id="?>'+this.value">
          <option value="0"><?php echo $CALTEXT['CHOOSE-CATEGORY']; ?></option>
          <?php
      $sql = "SELECT * FROM ".TABLE_PREFIX."mod_procalendar_eventgroups WHERE section_id=$section_id ";
      $db = $database->query($sql);
      $Sday=0;
     if ($db->numRows() > 0) {
        while ($rec = $db->fetchRow()) {
          
        echo "<option value='".$rec["id"]."'";
          if (isset($group_id) AND ($group_id == $rec['id'])) {
            echo " selected='selected'";
						$fillvalue = $rec['name'];
             }
          echo ">".$rec["name"]."</option>";
        }
      }
      ?>
        </select></td>
      <td valign="top" align="right"><input class="button" type="submit" name="delete" value="<?php echo $CALTEXT['DELETE']; ?>"></td>
    </tr>
    <tr>
      <td valign="top"><input class="input_normal" type="text" value="<?php echo $fillvalue; ?>" name="group_name"></td>
      <td valign="top"  align="right"><input class="button" type="submit" value="<?php echo $CALTEXT['SAVE']; ?>"></td>
    </tr>
  </table>
</form>
<br>
<br>
<input type="button" class="button" value="<?php echo $CALTEXT['BACK']; ?>" onclick="javascript: window.location = '<?php echo ADMIN_URL; ?>/pages/modify.php?page_id=<?php echo $page_id; ?>';" />
<?php

$admin->print_footer();

?>
